Eclipse Platform Release 3.7

## org.eclipse.core.databinding.observable.list
Class ListDiffEntry

    java.lang.Object
      org.eclipse.core.databinding.observable.list.ListDiffEntry

    public abstract class ListDiffEntry

extends Object

A single addition of an element to a list or removal of an element from a list.

Since:
  1.0

Constructor Summary
`ListDiffEntry()`

Method Summary
`abstract Object` `getElement()`
`abstract int` `getPosition()`
`abstract boolean` `isAddition()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListDiffEntry

    public ListDiffEntry()

Method Detail

### getPosition

    public abstract int getPosition()

  Returns:
    the 0-based position of the addition or removal

### isAddition

    public abstract boolean isAddition()

  Returns:
    true if this represents an addition, false if this represents a removal

### getElement

    public abstract Object getElement()

  Returns:
    the element that was added or removed

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.